Skip to main content
Pure Technical Services

Pure Storage Plugin for vRealize Orchestrator 8 Release Notes

Currently viewing public documentation. Please login to access the full scope of documentation.

Version 4.0.0

Support

  • vRealize Orchestrator 8.1+ is supported, 8.1 Patch 1 and later is recommended
  • FA Purity 4.10.x and later
  • FB Purity 3.0.x and later
  • vVol workflows require vCenter 6.5 and later and Purity 5.3.6 and later

What's New

  • Support for vRO 8.x
  • Integrated Pure1 authentication
  • Pure1 workflows for authentication, tagging, provisioning, and array registration
  • vVol workflows are now integrated into the plugin
  • Volume group objects are integrated into plugin
  • FlashBlades can now be authenticated into the plugin
  • QoS configuration added to workflows for volumes and volume groups.

Resolved Issues

  • Volume membership of protection group fails when a volume is in a destroyed protection group
  • Improved handling of vVol workflows
  • Pure1 registration now places array in correct Pure1 organizations
  • FlashArray connection update updates the connection into the correct Pure1 organization
  • Provisioning skips hosts in maintenance mode

Known Problems

  • No support for FlashArray REST 2.x